#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_minimum 0.0
#property indicator_maximum 1.0
#property indicator_buffers 3
#property indicator_color1 DarkGreen
#property indicator_color2 Red
#property indicator_color3 Yellow

extern int MA1Period = 36;
extern double factor1 = 0.59;
extern int MA2Period = 54;
extern double factor2 = 0.62;
extern int MA3Period = 36;
extern double factor3 = 0.59;
extern int MA4Period = 54;
extern double factor4 = 0.62;
extern int MA5Period = 36;
extern double factor5 = 0.62;
extern int MA6Period = 54;
extern double factor6 = 0.67;
extern int nbOfBars = 6000;
double G_ibuf_152[];
double G_ibuf_156[];
double G_ibuf_160[];

int init() {
   SetIndexStyle(0, DRAW_HISTOGRAM, EMPTY, 4, DarkGreen);
   SetIndexBuffer(0, G_ibuf_152);
   SetIndexStyle(1, DRAW_HISTOGRAM, EMPTY, 4, Red);
   SetIndexBuffer(1, G_ibuf_156);
   SetIndexStyle(2, DRAW_HISTOGRAM, EMPTY, 4, Yellow);
   SetIndexBuffer(2, G_ibuf_160);
   IndicatorShortName("kino_ Close above/underRibbons");
   SetIndexLabel(0, "Open bar is below");
   SetIndexLabel(1, "Open bar is above ");
   SetIndexLabel(2, "Open bar is elsewhere");
   return (0);
}

int start() {
   double icustom_8;
   double icustom_16;
   double icustom_24;
   double icustom_32;
   double icustom_40;
   double icustom_48;
   double Ld_unused_56;
   int Li_unused_0 = 0;
   int Li_unused_4 = 0;
   int Li_92 = IndicatorCounted();
   if (Li_92 > 0) Li_92--;
   int Li_88 = Bars - Li_92;
   for (int Li_96 = 0; Li_96 < nbOfBars; Li_96++) {
      icustom_8 = iCustom(NULL, 0, "kino_T3MA ribbon filled", 36, factor1, 0, Li_96);
      icustom_16 = iCustom(NULL, 0, "kino_T3MA ribbon filled", 54, factor2, 2, Li_96);
      icustom_24 = iCustom(NULL, 0, "kino_T3MA ribbon filled", 180, factor3, 0, Li_96);
      icustom_32 = iCustom(NULL, 0, "kino_T3MA ribbon filled", 270, factor4, 2, Li_96);
      icustom_40 = iCustom(NULL, 0, "kino_T3MA ribbon filled", 540, factor5, 0, Li_96);
      icustom_48 = iCustom(NULL, 0, "kino_T3MA ribbon filled", 810, factor6, 2, Li_96);
      Print("a ", icustom_8, "b ", icustom_16, iClose(NULL, 0, Li_96));
      if (MathMax(icustom_8, icustom_16) > MathMax(icustom_24, icustom_32) && MathMax(icustom_8, icustom_16) > MathMax(icustom_40, icustom_48) && MathMax(icustom_24, icustom_32) > MathMax(icustom_40,
         icustom_48)) Ld_unused_56 = 123;
      if (MathMax(icustom_8, icustom_16) < MathMax(icustom_24, icustom_32) && MathMax(icustom_8, icustom_16) < MathMax(icustom_40, icustom_48) && MathMax(icustom_24, icustom_32) < MathMax(icustom_40,
         icustom_48)) Ld_unused_56 = 321;
      if (MathMax(icustom_8, icustom_16) < MathMax(icustom_24, icustom_32) && MathMax(icustom_24, icustom_32) > MathMax(icustom_40, icustom_48) && MathMax(icustom_8, icustom_16) < MathMax(icustom_40,
         icustom_48)) Ld_unused_56 = 231;
      if (MathMax(icustom_8, icustom_16) > MathMax(icustom_24, icustom_32) && MathMax(icustom_24, icustom_32) < MathMax(icustom_40, icustom_48) && MathMax(icustom_8, icustom_16) > MathMax(icustom_40,
         icustom_48)) Ld_unused_56 = 132;
      if (MathMax(icustom_8, icustom_16) > MathMax(icustom_24, icustom_32) && MathMax(icustom_24, icustom_32) < MathMax(icustom_40, icustom_48) && MathMax(icustom_8, icustom_16) < MathMax(icustom_40,
         icustom_48)) Ld_unused_56 = 312;
      if (MathMax(icustom_8, icustom_16) < MathMax(icustom_24, icustom_32) && MathMax(icustom_24, icustom_32) > MathMax(icustom_40, icustom_48) && MathMax(icustom_8, icustom_16) > MathMax(icustom_40,
         icustom_48)) Ld_unused_56 = 213;
      if (iClose(NULL, 0, Li_96) > icustom_8 && iClose(NULL, 0, Li_96) > icustom_16 && iClose(NULL, 0, Li_96) > icustom_24 && iClose(NULL, 0, Li_96) > icustom_32 && iClose(NULL,
         0, Li_96) > icustom_40 && iClose(NULL, 0, Li_96) > icustom_48) G_ibuf_152[Li_96] = 1;
      else {
         if (iClose(NULL, 0, Li_96) < icustom_8 && iClose(NULL, 0, Li_96) < icustom_16 && iClose(NULL, 0, Li_96) < icustom_24 && iClose(NULL, 0, Li_96) < icustom_32 && iClose(NULL,
            0, Li_96) < icustom_40 && iClose(NULL, 0, Li_96) < icustom_48) G_ibuf_156[Li_96] = 1;
         else G_ibuf_160[Li_96] = 1;
      }
   }
   return (0);
}
